#include <bits/stdc++.h>
using namespace std;
string a,b;
int br;
int main(){
cin>>a>>b;
for(int i=0;i<=a.size()-1;i++){
      //  cout<<a.substr(i,b.size())<<endl;
    if(a.substr(i,b.size())==b){
        for(int j=i;j<b.size()+i;j++){
            a[j]='*';
            br++;
        }

    }
}
cout<<br<<endl;
cout<<a<<endl;











return 0;
}